JTS Topology Suite - v 1.12

## com.vividsolutions.jts.triangulate
Class SplitSegment

    java.lang.Object
      com.vividsolutions.jts.triangulate.SplitSegment

    public class SplitSegment

extends java.lang.Object

Models a constraint segment which can be split in two in various ways, according to certain geometric constraints.

Author:
  Martin Davis

Constructor Summary
`SplitSegment(LineSegment seg)`

Method Summary
`Coordinate` `getSplitPoint()`
`void` `setMinimumLength(double minLen)`
`void` `splitAt(Coordinate pt)`
`void` `splitAt(double length, Coordinate endPt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SplitSegment

    public SplitSegment(LineSegment seg)

Method Detail

### setMinimumLength

    public void setMinimumLength(double minLen)

### getSplitPoint

    public Coordinate getSplitPoint()

### splitAt

    public void splitAt(double length,
                        Coordinate endPt)

### splitAt

    public void splitAt(Coordinate pt)

JTS Topology Suite - v 1.12